Bug 626863 - Rtpproxy control socket gets erroneous default permissions
Summary: Rtpproxy control socket gets erroneous default permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rtpproxy
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 15:13 UTC by Ingemar Nilsson
Modified: 2010-10-05 17:26 UTC (History)
3 users (show)

Fixed In Version: rtpproxy-1.2.1-2.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 06:14:27 UTC


Attachments (Terms of Use)

Description Ingemar Nilsson 2010-08-24 15:13:02 UTC
Description of problem:

When rtpproxy starts, it creates a local (UNIX domain) socket that other applications can use to control it. It also switches to its own ordinary user (rtpproxy). Unfortunately, it sets the permissions of this socket to 755, allowing only itself to write to the socket. If the controlling application runs as root, this is not a problem, but if the controlling application runs as another ordinary user, it cannot write to the socket.

Version-Release number of selected component (if applicable):

1.2.1-1.el5

How reproducible:

Always

Steps to Reproduce:
1. Run some software that uses rtpproxy as an ordinary user, e.g. Sippy B2BUA
  
Actual results:

The software tries to connect to the rtpproxy control socket and fails with "Permission denied"

Expected results:

The software successfully connects to the socket.

Additional info:

My suggestion is to chmod the control socket to 775, which allows me to add other users to the rtpproxy group, or create a new group and add both the user running the controlling software and the rtpproxy user to this group.

Comment 1 Peter Lemenkov 2010-08-27 14:56:38 UTC
Thanks for the report - this issue is confirmed. (Un)fortunately I'm using udp socket for the controlling so I wasn't aware of it.

Comment 2 Fedora Update System 2010-09-19 12:26:29 UTC
rtpproxy-1.2.1-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.fc12

Comment 3 Fedora Update System 2010-09-19 12:26:33 UTC
rtpproxy-1.2.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.el5

Comment 4 Fedora Update System 2010-09-19 12:26:39 UTC
rtpproxy-1.2.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.fc13

Comment 5 Fedora Update System 2010-09-19 12:26:43 UTC
rtpproxy-1.2.1-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.el4

Comment 6 Fedora Update System 2010-09-19 12:26:49 UTC
rtpproxy-1.2.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.fc14

Comment 7 Fedora Update System 2010-09-20 17:54:36 UTC
rtpproxy-1.2.1-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rtpproxy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.el4

Comment 8 Fedora Update System 2010-09-20 17:54:49 UTC
rtpproxy-1.2.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rtpproxy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-2.el5

Comment 9 Fedora Update System 2010-09-30 06:14:23 UTC
rtpproxy-1.2.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-30 10:32:30 UTC
rtpproxy-1.2.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-30 10:34:42 UTC
rtpproxy-1.2.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-05 17:26:13 UTC
rtpproxy-1.2.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-05 17:26:27 UTC
rtpproxy-1.2.1-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.